Update employee bank account

Upserts the authenticated employee's bank account details.

This endpoint requires and returns country-specific data. The exact fields vary depending on which
country the authenticated employee's employment is in. Query the
Show form schema endpoint with bank_account_details
as the form name to discover the schema for a given country.

Authentication

This endpoint accepts any one of the following token types:

  • Employee-scoped access token (OAuth2Assertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant. See OAuth Assertion.
  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by the employee through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Employee-scoped access tokenManage employments (employments)-Manage bank accounts (bank_account:write)
Company-scoped access tokenManage employments (employments)--
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
≥ 1

Version of the bank_account_details form schema


Specific version number

Body Params

Employee bank account details params

Employment bank account details params.

bank_account_details
object
required

Bank account information. As its properties may vary depending on the country,
you must query the Show form schema endpoint
passing the country code and bank_account_details as path parameters.

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json